#### Beyond Linux® From Scratch (systemd Edition) - Version 11.1

### Chapter 29. Introduction to KDE

- Prev

  extra-cmake-modules-5.91.0

- Next

  Phonon-backend-gstreamer-4.10.0

- Up
- Home

# Phonon-4.11.1

## Introduction to Phonon

Phonon is the multimedia API for KDE. It replaces the old aRts package. Phonon needs either the GStreamer or VLC backend.

This package is known to build and work properly using an LFS-11.1 platform.

### Package Information

- Download (HTTP): https://download.kde.org/stable/phonon/4.11.1/phonon-4.11.1.tar.xz

- Download MD5 sum: d3df5ba646e4b3f11623d998caa40e74

- Download size: 308 KB

- Estimated disk space required: 12 MB

- Estimated build time: 0.2 SBU (Using parallelism=4)

### Phonon Dependencies

#### Required

CMake-3.22.2, extra-cmake-modules-5.91.0, GLib-2.70.4, and Qt-5.15.2

At least one of phonon-backend-gstreamer-4.10.0 or phonon-backend-vlc-0.11.3 needs to be installed afterwards for multimedia operation in KDE.

#### Optional

PulseAudio-15.0

User Notes: https://wiki.linuxfromscratch.org/blfs/wiki/phonon

## Installation of Phonon

Install Phonon by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -DCMAKE_INSTALL_PREFIX=/usr \
          -DCMAKE_BUILD_TYPE=Release  \
          .. &&
    make

Now, as the `root` user:

    make install

## Command Explanations

`-DCMAKE_BUILD_TYPE=Release`: This switch is used to apply higher level of the compiler optimizations.

## Contents

Installed Programs: phononsettings
Installed Libraries: libphonon4qt5.so and libphonon4qt5experimental.so
Installed Directories: /usr/include/phonon4qt5, /usr/lib/cmake/phonon4qt5, and /usr/share/phonon4qt5

Last updated on

- Prev

  extra-cmake-modules-5.91.0

- Next

  Phonon-backend-gstreamer-4.10.0

- Up
- Home